DXTOOL(1)

NAME
dxtool - DistoX download tool

SYNOPSIS
dxtool [ -p <port> ] [ -s <start addr> ] [ -e <end addr> ] [ -v ] [ -m|-x|-d|-r ]

DESCRIPTION
This manual page documents the dxtool command.

dxtool is a utility to download measurements from the DistoX cave surveying device

OPTIONS
Details of options are included below.

-h  Print usage help

-p <port>
    Bluetooth port (default: /dev/rfcomm0)

-v  Verbose operation (dump every sent/received packet)

Operation Modes:

-m  Dump all stored measurements (default mode)

-r  Wait for DistoX-initiated transmissions (new measurements)

-x  Dump memory in hex digits

-d  Dump memory in decimal

In -m/-x/-d modes use -s/-e options to specify start and end addresses
    (default: 0 ~ 0x7fff):

-s <Hex-address>
    Specify start address

-e <Hex-address>
    Specify end address

USAGE
During dxtool operation, it is neccessary to keep the device powered on (ie. prevent the power-off timeout). For example, by pressing random keys other than the measurement key.

Before using dxtool, you need to power on the device and estabilish a SPP connection, for example using:

sudo rfcomm connect /dev/rfcomm0 10:00:e8:be:a5:18 1

EXAMPLES
Often you can just use the command in its simplest form:
dxtool
downloads all stored data from /dev/rfcomm0
dxtool -r
waits for incoming data and downloads it
dxtool -p /dev/rfcomm1 -x -s 0x300 -e 0x500
dumps raw data in hex form from address 0x300 to 0x500, connecting via device /dev/rfcomm1